stop();

// define and set variables
var speed = 5;
var distance = 100;
var accel = 0.9;
var rdamp = random(2);
var damp = (rdamp + 1) / 10;
var slideInterval;

trace("damp: " + damp);

// create our objects
this.createEmptyMovieClip ( "track_mc", this.getNextHighestDepth());
this.attachMovie ( "line", "line_mc", this.getNextHighestDepth ());
this.attachMovie("circle","master_mc",this.getNextHighestDepth());
this.attachMovie("square","slave_mc",this.getNextHighestDepth());

// postion the master, slave and buttons
master_mc._x = line_mc._x = master_mc._y = line_mc._y = slave_mc._x = 40;
slave_mc._y = master_mc._y + distance;

// hide our slave
slave_mc._alpha = 0; 

// define the function that will update our line position and length
this.onEnterFrame = function (){
	this.clear();
	this.lineStyle ( .5, 0xE8E8E8, 100 );
	this.moveTo ( master_mc._x, master_mc._y );
	this.lineTo ( slave_mc._x, slave_mc._y );
}

// let the slave react to the masters position
slave_mc.onEnterFrame = function (){
	if ( x == undefined ){ x = this._x; }
	
	x = x * accel + ( master_mc._x - this._x ) * damp;
	slave_mc._x += x;
	
	myRadians = Math.atan2 (( master_mc._y - this._y ), ( master_mc._x - this._x ));
	myRotation = myRadians * 180 / Math.PI;
	slave_mc._rotation = -myRotation - 90;
}

// let the line rotate with the master's movement
line_mc.onEnterFrame = function (){ 
	// determine our rotation points
	myRadians = Math.atan2 (( master_mc._y - slave_mc._y ), ( master_mc._x - slave_mc._x ));
	myRotation = myRadians * 180 / Math.PI;
	
	// set the lines positiona and rotation
	this._rotation = myRotation + 90;
	line_mc._x = master_mc._x;
	line_mc.pos_mc._rotation = (-this._rotation * 2);
	
}

// move the master with the mouse
master_mc.onEnterFrame = function (){ master_mc._x = _xmouse; }

// build the track
with ( track_mc ){
	lineStyle ( .5, 0xE8E8E8, 100 );
	moveTo ( 0, 40 );
	lineTo ( 320, 40 );
	moveTo ( 0, slave_mc._y + 10 );
	lineTo ( 320, slave_mc._y + 10 );
	moveTo ( 0, 0 );
	lineTo ( 320, 0 );
	lineTo ( 320, 240 );
	lineTo ( 0, 240 );
	lineTo ( 0, 0 );
}
